package com.oo.eye.mvp.contract;

import android.content.Context;

import com.app.baselibrary.base.mvp.BasePresenter;
import com.app.baselibrary.base.mvp.BaseView;
import com.oo.eye.bean.EyeChartsBean;

import java.util.List;

/**
 * Created by xucon on 2017/12/26.
 */

public interface EyeChartsContract {
	interface View extends BaseView<Presenter> {
		public void getEyeChartsSuccee(List<EyeChartsBean> beans);
		public void getEyeChartsFail(String msg);
	}

	interface Presenter extends BasePresenter {
		public void getEyeChartsData(Context context, int limit);
	}
}
